(function(win){
    var listeners = [], 
    doc = win.document, 
    MutationObserver = win.MutationObserver || win.WebKitMutationObserver,
    observer;
    function addDOMMutationObserverForElement(selector, fn){
        listeners.push({
            selector: selector,
            fn: fn
        });
        if(!observer){
            observer = new MutationObserver(check);
            observer.observe(doc.documentElement, {
                childList: true,
                subtree: true
            });
        }
        check();
    }
    function check(){
        for(var i = 0, len = listeners.length, listener, elements; i < len; ++i){
            listener = listeners[i];
            elements = doc.querySelectorAll(listener.selector);
            for(var j = 0, jLen = elements.length, element; j < jLen; ++j){
                element = elements[j];
                listener.fn.call(element, element);
            }
        }
    }
    win.addDOMMutationObserverForElement = addDOMMutationObserverForElement;
})(this);

function setBackground(element, color) {
    //element.poster = 'http://developer.download.nvidia.com/mobile/shield/img/bbc/4x4_alpha.png';
    element.style.background = color; // + " url('http://developer.download.nvidia.com/mobile/shield/img/bbc/4x4_alpha.png') repeat 0 0";
}

addDOMMutationObserverForElement('video', function(element){
	setBackground(element, 'black');
});

addDOMMutationObserverForElement('audio', function(element){
	setBackground(element, 'black');
});
