(function(win){
    var listeners = [],
    doc = win.document,
    MutationObserver = win.MutationObserver || win.WebKitMutationObserver,
    observer;
    function addDOMMutationObserverForElement(selector, fn){
        listeners.push({
            selector: selector,
            fn: fn
        });
        if(!observer){
            observer = new MutationObserver(check);
            observer.observe(doc.documentElement, {
                childList: true,
                subtree: true
            });
        }
        check();
    }
    function check(){
        for(var i = 0, len = listeners.length, listener, elements; i < len; ++i){
            listener = listeners[i];
            elements = doc.querySelectorAll(listener.selector);
            for(var j = 0, jLen = elements.length, element; j < jLen; ++j){
                element = elements[j];
                listener.fn.call(element, element);
            }
        }
    }
    win.addDOMMutationObserverForElement = addDOMMutationObserverForElement;
})(this);

addDOMMutationObserverForElement('video', function(element){
    element.addEventListener("loadstart", function(){console.log("loadstart...");});
    element.addEventListener("abort", function(){console.log("abort...");});
    element.addEventListener("error", function(){console.log("error...");});
    element.addEventListener("emptied", function(){console.log("emptied...");});
    element.addEventListener("loadedmetadata", function(){console.log("loadedmetadata...");});
    element.addEventListener("loadeddata", function(){console.log("loadeddata...");});
    element.addEventListener("canplay", function(){console.log("canplay...");});
    element.addEventListener("canplaythrough", function(){console.log("canplaythrough...");});
    element.addEventListener("playing", function(){console.log("playing...");});
    element.addEventListener("waiting", function(){console.log("waiting...");});
    element.addEventListener("ended", function(){console.log("ended...");});
    element.addEventListener("timeupdate", function(){console.log("timeupdate...");});
    element.addEventListener("suspend", function(){console.log("suspend...");});
    element.addEventListener("stalled", function(){console.log("stalled...");});

	var comment = 'element.addEventListener("stalled", function() {console.log("stalled --> waiting");var waitingEvent = document.createEvent("HTMLEvents");waitingEvent.initEvent("waiting");event.target.dispatchEvent(waitingEvent);});';

});

window.addEventListener("beforeunload", function (e) {

console.log("HIT BEFOREUNLOAD EVENT!!!");
  var confirmationMessage = "Are you sure you want to leave this page without placing the order ?";
  (e || window.event).returnValue = confirmationMessage;
  return confirmationMessage;

});
